import { HttpClient } from '@angular/common/http';
import { Configurations } from '../configurations';
import { AuthService } from './auth.service';
import * as i0 from "@angular/core";
export declare class LogIssueService {
    private http;
    private authService;
    env: any;
    private issueCategories;
    constructor(http: HttpClient, authService: AuthService, config?: Configurations);
    getIssueTypes(): import("rxjs").Observable<any[]>;
    getOrgPeople(): import("rxjs").Observable<any[]>;
    getIssueCategories(): import("rxjs").Observable<any>;
    getResponsibilityCenterList(): import("rxjs").Observable<any[]>;
    createIssue(payload: any): import("rxjs").Observable<Object>;
    updateIssue(payload: any, issueId: string): import("rxjs").Observable<Object>;
    getControlRisk(auditPlanId: string, type: string): import("rxjs").Observable<any> | null;
    validate(issueData: any, openedFrom: any, isRCMandatory: any): string[];
    generatePayload(issueData: any, optionFieldsStatus: any): any;
    payloadBuilder(issueData: any, optionFieldsStatus: any): any;
    arrayToId(array: any, key: any): any;
    getArrayId(array: any, key: any): any;
    convertFrom12To24Format: (time12: any) => string;
    convertFrom24To12Format(time: any): any;
    arrayToIDsDtring(array: any, identifierKey: any): any;
    /**
     * Uploads the given file to server
     * @param payload payload File data to be uploaded
     * @param path path Path of file to be uploaded
     * @returns response after uploading a file
     */
    uploadFiles(payload: any, path: any): import("rxjs").Observable<Object>;
    getIssueDetails(issueId: string): import("rxjs").Observable<Object>;
    formatDate(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<LogIssueService, [null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LogIssueService>;
}
